#import <Cocoa/Cocoa.h>

@interface JWTableViewArray : NSTableView
{
	IBOutlet id theAddButton;
	IBOutlet id theDeleteButton;
	IBOutlet id theErrorMsgField;
	
	NSMutableArray *theArray;
	NSMutableArray *theOriginalArray;
	UInt32 theNumberOfColumns;
	id theEmptyItem;
	id theEditDelegate;
	NSMutableDictionary *theKeys;
	NSString *theAlphabetizedKey;
	BOOL nonAlphabetized;
}
- (void) initWithArray: (NSMutableArray *) array editDelegate: (id) editDelegate keys: (NSArray *) keys;
- (int) addEntryToArray: (id) entry;
- (IBAction) addEntryToTable: (id) sender;
- (IBAction) deleteSelectedEntriesFromTable: (id) sender;
- (void) removeBlankEntries;
- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;
@end
